Divi: Najlepszy motyw WordPress wszechczasów!

więcej Pobieranie 901.000, Divi jest najpopularniejszym motywem WordPress na świecie. Jest kompletny, łatwy w użyciu i zawiera więcej niż darmowe szablony 62.

Rozwój Gutenberga przeszedł długą drogę od czasu jego ogłoszenia w 2017 roku. Nadal istnieje wiele mieszanych uczuć w stosunku do nowego wydawcy, ale to nie spowolniło jego postępu. Jednak zgodność wtyczek pozostaje jednym z największych, jeśli nie najważniejszym, problemów, jeśli chodzi o nowy edytor.

Istnieją tysiące wtyczek dostępnych dla WordPress i ma się rozumieć, że niektóre z nich mogą nie działać z Gutenbergiem. Z tego powodu powinieneś przetestować swoje ulubione wtyczki, aby określić ich zgodność z Gutenbergiem.

W tym artykule wyjaśnimy, dlaczego kompatybilność wtyczek jest ważną kwestią, jeśli chodzi o Gutenberga. Następnie pokażemy Ci dwa sposoby testowania wtyczek, aby sprawdzić, czy są one zgodne z nowym edytorem.

Zabierzmy się do pracy!

Dlaczego musisz sprawdzić kompatybilność swoich wtyczek z Gutenbergiem?

gutenberg wordpress.png

Jeśli korzystasz z WordPressa od jakiegoś czasu, wiesz, że niektóre wtyczki nie współpracują dobrze z innymi. W niektórych przypadkach jest to spowodowane konfliktem kodu lub funkcjonalności. Innym razem wymaga użycia wielu wtyczek, które próbują dodać podobną funkcjonalność.

Gutenberg jest nadal w wersji beta i aby z niego korzystać, musisz zainstalować jego oficjalną wtyczkę. Zmiany, które Gutenberg wprowadza w edytorze WordPress, są obszerne, więc oczywiste jest, że nie pasuje do innych wtyczek:

nowy interfejs gutenberg.png

Żeby było jasne - Gutenberg nie powoduje problemów z większością wtyczek. Jednak nie wszystkie wtyczki, które dodają funkcjonalność lub zmieniają wygląd klasycznego edytora WordPress, mogą być zgodne z Gutenbergiem. Jeśli używasz wielu skrótów generowanych przez wtyczki na swoich stronach, prawdopodobnie napotkasz również konflikty z Gutenbergiem. Powodem jest to, że nowy edytor wymaga użycia niestandardowych bloków shortcode.

Wtyczki, które dodają niestandardowe style do twoich stron, mogą również powodować problemy z Gutenbergiem. Niektóre wtyczki, które przez jakiś czas nie otrzymywały aktualizacji, mogą również powodować konflikty z nowym edytorem. Z zasady wolimy unikać wtyczek, jeśli nie miały żadnych aktualizacji w ciągu ostatnich sześciu miesięcy, co również należy wziąć pod uwagę.

Pamiętaj, że Gutenberg jest nadal w wersji beta, więc normalne jest, że podczas korzystania z niego występują pewne problemy. Wiele popularnych wtyczek wciąż dostosowuje się do zmian wprowadzonych przez wydawcę. Niektóre wtyczki, które obecnie nie współpracują z Gutenbergiem, mogą go obsługiwać w przyszłości.

Ważne jest również, abyś nie był jeszcze zależny od Gutenberga w przypadku działającej witryny internetowej. Zalecamy dalsze korzystanie z klasycznego edytora, dopóki Gutenberg nie opuści wersji beta, aby uniknąć wszelkich problemów, które mogą się pojawić.

Łatwo stwórz swoją stronę internetową dzięki Elementor

Elementor pozwala tworzyć Łatwo i za darmo dowolny projekt strony internetowej lub bloga o profesjonalnym wyglądzie. Przestań płacić dużo za stronę internetową, którą możesz zrobić sam.

2 sposoby sprawdzania, czy wtyczki WordPress są kompatybilne z Gutenberg.

Nawet jeśli Gutenberg nie jest jeszcze gotowy, nie oznacza to, że musisz czekać, aby dowiedzieć się, czy Twoje wtyczki są kompatybilne ... W ten sposób możesz skontaktować się z twórcami Twojej ulubionej wtyczki, aby sprawdzić, czy planują dodać Zgodność z Gutenbergiem lub zacznij szukać alternatyw.

1. Sprawdź bazę danych kompatybilności wtyczek Gutenberg

zgodność.png baza danych

Jak można się spodziewać, wiele osób jest już zajętych ustalaniem, które wtyczki są kompatybilne z Gutenberg, a które nie. Te informacje są dostępne w bazie danych wtyczek kompatybilnych z Gutenbergiem. Obecnie baza danych zawiera 5 wtyczek, w tym większość popularnych ofert WordPress. Aby sprawdzić, czy Twoje ulubione wtyczki są kompatybilne z Gutenbergiem, wszystko, co musisz zrobić, to wyszukać je za pomocą funkcji wyszukiwania w bazie danych:

szukaj wtyczek.png

Obok każdej nazwy znajdziesz kolumnę, która wyświetla Kompatybilny z Gutenberg, z wartością Tak lub Nie. Nawet jeśli poszukiwane wtyczki są kompatybilne, możesz także przeczytać błędy, które pojawiają się z Gutenbergiem w kolumnie Przyczyna kompatybilności:

powód niekompatybilności.png

Możliwe, że większość wtyczek, których szukasz, znajduje się już w bazie danych. Jeśli chcesz przyczynić się do rozbudowy bazy danych, możesz wnieść swój wkład. Wystarczy zarejestrować konto w serwisie bazy danych.

Chcesz sprzedawać swoje produkty w Internecie?

Pobierz bezpłatnie WooCommerce, najlepsze wtyczki e-commerce, aby sprzedawać swoje fizyczne i cyfrowe produkty na WordPress i łatwo tworzyć swój sklep internetowy. Idealny dla początkujących.

Po założeniu konta będziesz mógł skonfigurować internetowe środowisko testowe za pomocą usługi WP Sandbox. Ta usługa jest skonfigurowana do tworzenia środowisk testowych z Gutenbergiem i losową wtyczką, która nie jest jeszcze częścią bazy danych. W ten sposób unikają setek użytkowników, którzy testują te same wtyczki.

Możesz dowiedzieć się więcej o tym, jak działa proces testowania w witrynie Gutenberg Compatibility. Jeśli jednak chcesz sprawdzić konkretną wtyczkę pod kątem zgodności z Gutenbergiem, musisz zrobić to w staroświecki sposób.

2. Użyj witryny testowej, aby sprawdzić problemy ze zgodnością

Witryny pomostowe umożliwiają testowanie zmian w bezpiecznym środowisku przed ich użyciem w środowisku produkcyjnym. Istnieje wiele sposobów na utworzenie tymczasowej kopii witryny. Niektóre hosty internetowe, takie jak WP Engine, umożliwiają tworzenie wersji przejściowych witryny za pomocą zaledwie kilku kliknięć. Jeśli nie, możesz użyć Local by Flywheel lub MAMP do tworzenia lokalnych środowisk testowych WordPress.

Jeśli jednak chcesz szybko przetestować zgodność kilku wtyczek z WordPress, możesz utworzyć instalację za pomocą Poopy.life (tak, naprawdę), co zajmuje tylko sekundę. Gdy Twoja witryna będzie gotowa, zainstaluj wtyczkę Gutenberg :

install-gutenberg.png

Po włączeniu Gutenberga możesz śmiało przetestować swoje ulubione wtyczki. Weź przykład Divi Builder. Obecnie, jeśli aktywujesz Gutenberga, nie zobaczysz opcji przejścia do Divi Builder. Jednak niektóre z jego opcji pojawią się, jeśli przełączysz się na kartę Ustawienia rozszerzone pod Redaktor Gutenberga :

gutenberg i divi builder.png

Ale nie ma powodu do paniki. Nadal możesz normalnie korzystać z Divi, klikając opcję Edytor klasyczny, gdy przejdziesz do edycji artykułu lub strony:

edytor klasyczny Gutenberg Divi builder.png

Spowoduje to uruchomienie klasycznego edytora WordPress, w którym Divi działa normalnie. Zapewniamy, że chociaż Divi Builder nie jest jeszcze w pełni kompatybilny z Gutenbergiem, nadchodzi integracja i nie będziesz musiał wybierać między nimi.

Jak widać, testowanie wtyczek pod kątem zgodności z Gutenbergiem jest proste. Wszystko, co musisz zrobić, to sprawdzić, czy podstawowa funkcjonalność wtyczki działa zgodnie z oczekiwaniami przy aktywnym edytorze. Weźmy na przykład Yoast SEO - który dodaje meta box do strony wydawcy. Spodziewaliśmy się napotkać błędy przy użyciu tych dwóch razem, ale na szczęście tak się nie stało:

yo seo WordPress gutenberg.png

W szczególności Yoast ciężko pracował, jeśli chodzi o integrację Gutenberga, więc wtyczki dobrze ze sobą współpracują. Teraz musisz przetestować wszystkie inne narzędzia, których chcesz użyć w swojej witrynie WordPress, i sprawdzić, czy są one również gotowe na Gutenberg.

Wnioski

Czy ci się to podoba, czy nie, edytor Gutenberga pojawi się w sercu WordPressa w 2018 roku. Najlepsze, co możesz zrobić wcześniej, to przygotować się tak, aby przejście było tak bezbolesne, jak to tylko możliwe.

Jeśli używasz wielu wtyczek w swojej witrynie, powinieneś sprawdzić, czy są one zgodne z Gutenbergiem. Jeśli nie, powinieneś zwracać uwagę na ich aktualizacje i ewentualnie rozważyć poszukiwanie alternatyw. Oto, jak możesz sprawdzić, czy twoje wtyczki działają dobrze z aktualną wersją Gutenberga:

Spójrz na baza danych kompatybilności wtyczek w Gutenberg.

Użyj strony wystawiane w celu sprawdzenia problemów ze zgodnością.

Martwisz się lub podekscytowany nadchodzącym przejściem do redaktora Gutenberga? Jeśli tak, powiedz nam dlaczego w sekcji komentarzy poniżej!

13 akcji
udział10
ćwierkanie1
Enregistrer2